
/*------------------------------------------------------------------------
    File        : ExchangeAppt.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Thu Feb 27 18:46:41 EST 2014
    Notes       : Needs Microsoft Exchange Web Services Managed API 2.1
  ----------------------------------------------------------------------*/
USING System.*.
USING Microsoft.Exchange.WebServices.Data.*.

DEFINE VARIABLE service   AS ExchangeService.  
DEFINE VARIABLE Body      AS MessageBody.
DEFINE VARIABLE appt      AS Appointment. 
DEFINE VARIABLE ApptStart AS DATETIME.
DEFINE VARIABLE ApptEnd   AS DATETIME.
DEFINE VARIABLE Url       AS Uri.


apptStart = NOW.
apptEnd = NOW + 3600000. /* One hour later */

/*Url = NEW Uri("https://mail.<yourServer>.com/ews/exchange.asmx").*/
/*service:credentials = NEW WebCredentials("tom.bergman@wolterskluwer.com", "*****").*/

service = NEW ExchangeService(ExchangeVersion:Exchange2010) .
service:UseDefaultCredentials = TRUE.

/* Autodiscover is slow, better to set it manually */
/* Url = NEW Uri("https://mail.<yourServer>.com/ews/exchange.asmx").*/
/* service:Url = Url.*/
service:AutodiscoverUrl("tom.bergman@wolterskluwer.com").
/*MESSAGE service:Url*/
/*VIEW-AS ALERT-BOX. */

Body = NEW MessageBody().
appt = NEW Appointment(service).
Body:BodyType = BodyType:HTML.
Body:Text = "My test <B>New Test appt</B>".

appt:Subject = "Test Subject".
appt:Body = Body.
appt:Start = ApptStart.
appt:End = ApptEnd.
appt:Save().

MESSAGE "done"
  VIEW-AS ALERT-BOX.